Get Specific Dataflow

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}

Return specific Dataflow.

Path parameters

  • dataflowId string Required

    id of the Dataflow

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • created_by string

      Name of the person created this Dataflow

    • created_date string

      Created Date

    • modified_by string

      Name of the last person modified this Dataflow

    • modified_date string

      Modified Date

    • id string

      id of the Dataflow

    • description string

      description of the Dataflow

    • enable_error_email_notifications string

      Indicates if the error email notifications will be enabled.

    • error_notification_email string

      The email or email addresses to send error notifications to. Multiple emails must be separated by a comma.

    • max_objects_per_dataflow number

      Number of objects allowed per Dataflow

    • name string

      name of the Dataflow

    • nodes array
    • owning_entity string

      owner of the Dataflow

    • status number

      Currently not used

    • trusted_entities array
GET /dataflows/{dataflowId}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "CREATED_BY": "5684058f159fffbe29ff9912",
  "CREATED_DATE": "2016-03-21 18:08:59 UTC",
  "MODIFIED_BY": "5684058f159fffbe29ff9912",
  "MODIFIED_DATE": "2016-03-21 18:08:59 UTC",
  "_id": "56ee30b8b251c553547ac88e",
  "description": "",
  "links": [
    {
      "source": 0,
      "target": 3,
      "value": 1
    }
  ],
  "maxObjectsPerDataflow": 20,
  "name": "DF14",
  "nodes": [
    {
      "_id": "56ee30c2b251c553547ac88f",
      "name": "df14",
      "node": 0,
      "nodeType": "node",
      "recordCount": 0,
      "type": "recordset"
    },
    {
      "_id": "56eec562b251c553547ac8ad",
      "name": "df24",
      "node": 1,
      "nodeType": "node",
      "recordCount": 0,
      "type": "recordset"
    },
    {
      "_id": "56ef61e1f67f7c386d75852e",
      "name": "wh_df24",
      "node": 2,
      "nodeRecordSetId": "56eec562b251c553547ac8ad",
      "nodeType": "input",
      "type": "webhook"
    },
    {
      "_id": "56f038bbf67f7c386d7585fa",
      "name": "ss",
      "node": 3,
      "nodeRecordSetId": "56ee30c2b251c553547ac88f",
      "nodeType": "output",
      "type": "slack"
    }
  ],
  "owningEntity": "demo_5000",
  "status": 0,
  "trustedEntities": [
    {
      "accessLevel": "READWRITE",
      "entity": "5684058f159fffbe29ff9912"
    }
  ]
}